> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-requests-overview/83.-query-collect-platform-context.md).

# 83. Sorgu: Platform bağlamını topla

İşlenmiş çok sayıda (yüzlerce veya binlerce) veri kümesinde ("SatelliteImage", "AsAppliedDataset", "YieldDataset", "SoilDataset" vb.), her veri kümesinin işlenme durumunu anlamaya ve işleme özetini toplamaya her zaman ihtiyaç duyulur. Bu ayrıntılar `getPlatformContext` sorgusu kullanılarak sağlanır.

Yaygın kullanım senaryoları:

* İşleme sürecindeki ilerlemeyi izleme
* İşleme özetini ve istatistiklerini toplama
* Etkilenen veri kümelerini daha ayrıntılı incelemek için işleme sırasında oluşan hataları ve uyarıları gözlemleme

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query CollectPlatformContext {
 getPlatformContext(input: {
   userUuids: ["<placeholder_of_user_uuid>"],
   statuses: [Start, Done, Warning, Error, Ignored],
   dateFrom: "2023-05-25T12:49:00.000Z", 
   dateTo: "2023-05-30T06:35:00.000Z", 
 }) {
   events {
     fieldUuid
     subFieldUuid
     subFieldType
     operationId
     status 
     executionDate
     messageKey
     isteğe bağlı
   }
 }
}
```

{% endcode %}

Desteklenen giriş filtreleri:

* `dateFrom` ISO 8601 biçiminde tarih-saat olarak (ör.: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` ISO 8601 biçiminde tarih-saat olarak (ör.: `"2023-05-30T06:35:00.000Z"`)
* `operationIds` işlem tanımlayıcılarından oluşan bir dizi olarak (`Strings`)
* `statuses` şu öğelerden değerler içeren bir dizi olarak: `ContextEventStatus` ara durumlar da dâhil olmak üzere tüm işleme durumlarını içeren enum; temel durum anahtarlarının kullanılması önerilir `[Start, Done, Warning, Error, Ignored]`
* `subFieldTypes` şu değerleri içeren bir dizi olarak: `TreeNodeEntity` tüm GeoPard varlıklarını içeren enum
* `subFieldUuids` subFieldTypes içinde seçilen varlıklarla ilişkili UUID'leri içeren bir dizi olarak `subFieldTypes`
* `userUuids` aranacak "User" UUID'lerinden oluşan bir dizi olarak

{% hint style="info" %}
Aşağıdaki filtrelerden en az biri başlatılmalıdır: `userUuids`, `fieldUuids`, `subFieldUuids`veya `operationIds`.
{% endhint %}

{% hint style="info" %}
Eğer `dateFrom` ve `dateTo` belirtilmezse, varsayılan sorgu süresi 12 saat olarak ayarlanır. Veri alımı için önerilen azami zaman aralığı 24 saattir.
{% endhint %}

{% hint style="info" %}
En fazla 10.000 satır teslim edilebilir.
{% endhint %}

{% hint style="info" %}
Kullanılabilir tüm enum değerlerinin en güncel hâlini (örneğin: `TreeNodeEntity`, `ContextEventStatus, ContextMessageKey`) görüntülemek için [Altair](https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/getting-started-with-the-geopard-api.md).
{% endhint %}

Çıktı nesnesi aşağıdaki öznitelikleri içerir:

* `fieldUuid` ilişkili tarlanın UUID'sini belirtir
* `subFieldUuid` bağlantılı işlenmiş veri kümesinin UUID'sini belirtir (ör. "SatelliteImage", "AsAppliedDataset", "YieldDataset", "SoilDataset" vb.)
* `subFieldType` TreeNodeEntity ile ilişkili enum olarak `TreeNodeEntity`
* `operationId` işlemin tanımlayıcısını içeren bir dize olarak kullanılır. İlgili tüm işleme zincirlerinde aynı kalır. Tüm işleme aşamalarını izlemek için bu tanımlayıcıya göre gruplama yapılması önerilir.
* `status` ContextEventStatus ile ilişkili enum olarak `ContextEventStatus`
* `executionDate` yürütme anını belirten, ISO 8601 biçiminde bir dize olarak
* `messageKey` ContextMessageKey ile ilişkili enum olarak `ContextMessageKey` yürütme sonucunu açıklar
* `optional` teknik bir açıklama sağlayan bir dize olarak (varsa); öncelikli olarak hata ayıklama ve hata bildiriminde kullanılır


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-requests-overview/83.-query-collect-platform-context.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
